AIQSynchronizer (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AIQSynchronizer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AIQSynchronizer

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AIQSynchronizer

    public class AIQSynchronizer

extends java.lang.Object

A utility class to synchronize existing AI queue data with new AI data.

Constructor Summary
`AIQSynchronizer()`

Method Summary
`static AIPlatform` | `getAIQPlatform(AIPlatformDAO aiPlatformLH, AIPlatformValue aiPlatformValue)`
`AIPlatformValue` | `sync(AuthzSubject subject, org.hyperic.hq.appdef.shared.AIQueueManagerLocal aiqMgr, AIPlatformDAO aiPlatformLH, AIPlatformValue aiPlatform, boolean updateServers, boolean isApproval, boolean isReport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIQSynchronizer

    public AIQSynchronizer()

Method Detail

### sync

    public AIPlatformValue sync(AuthzSubject subject,
                                org.hyperic.hq.appdef.shared.AIQueueManagerLocal aiqMgr,
                                AIPlatformDAO aiPlatformLH,
                                AIPlatformValue aiPlatform,
                                boolean updateServers,
                                boolean isApproval,
                                boolean isReport)

  Parameters:
    `aiPlatform` - The AI platform to sync into the queue.
  Returns:
    The synchronized platform, or null if the AI data was removed from the queue (this would happen if the platform in the queue matched appdef exactly, such that the data should not be queued).

### getAIQPlatform

    public static AIPlatform getAIQPlatform(AIPlatformDAO aiPlatformLH,
                                            AIPlatformValue aiPlatformValue)
                                     throws SystemException

  Throws:
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.